Use recursive mutex in CommandableFragmentGenerator to improve code clarity
03/06/2019 01:11 PM - Eric Flumerfelt
Description

Kurt noticed that the dataBufferDepthFragments_ parameter is not updated at the same time as the dataBufferDepthBytes_
parameter, mostly because it is bound to dataBuffer_.size(). To improve code clarity, it would probably be best to replace
dataBufferDepthFragments_ with a function that locks the dataBufferMutex_ recursively and returns dataBuffer_.size().

History

#1 - 10/24/2019 09:04 AM - Eric Flumerfelt

I've implemented a change to feature/22068_CFG_UpdateDataBufferDepthFragmentsWithSize, where the DataBufferDepthFragments variable is
updated at the same place as DataBufferDepthBytes. The original suggestion of using recursive_mutex was not easy to implement because the
mutex in question was also being used to control condition_variables.

#2 - 10/24/2019 09:58 AM - Eric Flumerfelt

- Status changed from New to Resolved

#3 - 11/11/2019 08:27 AM - Eric Flumerfelt

- Assignee set to Eric Flumerfelt

#4 - 03/19/2021 12:43 PM - Eric Flumerfelt

- Status changed from Resolved to Rejected

This issue is obsoleted by the split between CommandableFragmentGenerator and FragmentBuffer.
